cfg_simple_t(3)

NAME
cfg_simple_t - Data structure holding the pointer to a user provided variable defined with CFG_SIMPLE_*.

SYNOPSIS

#include <confuse.h>

  Data Fields

long int * number
pointer to a long int, for CFG_SIMPLE_INT
int8_t * i8
pointer to an int8_t, for CFG_SIMPLE_INT8
int16_t * i16
pointer to an int16_t, for CFG_SIMPLE_INT16
int32_t * i32
pointer to an int32_t, for CFG_SIMPLE_INT32
int64_t * i64
pointer to an int64_t, for CFG_SIMPLE_INT64
uint8_t * u8
pointer to a uint8_t, for CFG_SIMPLE_UINT8
uint16_t * u16
pointer to a uint16_t, for CFG_SIMPLE_UINT16
uint32_t * u32
pointer to a uint32_t, for CFG_SIMPLE_UINT32
uint64_t * u64
pointer to a uint64_t, for CFG_SIMPLE_UINT64
double * fpnumber
pointer to a double, for CFG_SIMPLE_FLOAT
cfg_bool_t * boolean
pointer to a cfg_bool_t, for CFG_SIMPLE_BOOL
char ** string
pointer to a char *, for CFG_SIMPLE_STR
void ** ptr
pointer to a user value, for CFG_SIMPLE_PTR

Detailed Description

Data structure holding the pointer to a user provided variable defined with CFG_SIMPLE_*.

Author

Generated automatically by Doxygen for libConfuse from the source code.